Skip to main content
POST
/
clients
/
{clientId}
/
credit-notes
/
{creditNoteId}
/
allocations
Allocate Credit to Invoice
curl --request POST \
  --url https://api.sandbox.flowpayroll.ai/v1/billing/clients/{clientId}/credit-notes/{creditNoteId}/allocations \
  --header 'Content-Type: application/json' \
  --header 'X-Auth-Token: <api-key>' \
  --data '
{
  "organisationId": "<string>",
  "clientId": "<string>",
  "creditNoteId": "<string>",
  "invoiceId": "<string>",
  "amount": 123
}
'
{
  "content": {
    "data": {
      "allocationId": "<string>",
      "creditNoteId": "<string>",
      "invoiceId": "<string>",
      "amount": 123,
      "date": "<string>",
      "invoice": {
        "invoiceId": "<string>",
        "invoiceNumber": "<string>"
      }
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Authentication token for API access

Path Parameters

clientId
string
required
creditNoteId
string
required

Body

application/json
organisationId
string
clientId
string
creditNoteId
string
invoiceId
string
amount
number<double>

Response

OK

content
object
metadata
object
errors
object[] | null
message
object